Subject: [Gen-art] Gen-ART LC review of draft-ietf-tram-stun-dtls-03

From: "Roni Even" <[email-masked]>
Date: Mon, 23 Jun 2014 16:28:51 +0300

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you
may receive.

Document:  draft-ietf-tram-stun-dtls-03

Reviewer: Roni Even

Review Date:2014-6-23

IETF LC End Date: 2014-6-25

IESG Telechat date: 

Summary: This draft is almost ready for publication as an Standard track
RFC.

Major issues:

Minor issues:

I am not sure I understand section 4.3. When talking about "media keep-alive
packets" is it for the STUN Binding Indication usage or for all the options
in section 10 of RFC 5245.  Maybe you meant that you should prefer DTLS/SRTP
keep-alive like RTP no-op in this case. I had problem understanding this
section. Please clarify.

Nits/editorial comments:

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Mon, 23 Jun 2014 08:34:43 -0600

Hi Roni,

See my answers below.

On 6/23/14, 7:28 AM, Roni Even wrote:
> in section 10 of RFC 5245.  

Yes, only the STUN Binding Indication usage.  You are right this is not
clear.

> Maybe you meant that you should prefer DTLS/SRTP

No the text did not meant to choose one over the other, just to explain
the pros and cons of running the STUN Binding Indication usage over DTLS.

I propose this new text:

"  When STUN is being used for media keep-alive (described in Section
   10 of [RFC5245]), it runs alongside an RTP or RTCP session.  It is
   possible to send the media keep-alive packets inside a separately
   negotiated non-SRTP DTLS session if DTLS-SRTP [RFC5764] is used, but
   that would add overhead, with minimal security benefit."

Thanks.

-- 
Marc Petit-Huguenin
Developer  |  Jive Communications, Inc.
Jive.com  |  [email-masked]

---

From: "Roni Even" <[email-masked]>
Date: Mon, 23 Jun 2014 19:56:13 +0300

Hi Marc,
So maybe emphasis that it is about STUN Binding Indications suggest

" When STUN Binding Indications are being used for media keep-alive
(described in Section
   10 of [RFC5245]), it runs alongside an RTP or RTCP session.  It is
   possible to send these media keep-alive packets inside a separately
   negotiated non-SRTP DTLS session if DTLS-SRTP [RFC5764] is used, but
   that would add overhead, with minimal security benefit."
Roni

> -----Original Message-----
> From: Marc Petit-Huguenin [mailto:[email-masked]]
> Sent: 23 June, 2014 5:35 PM
> To: Roni Even; [email-masked];
[email-masked];
> [email-masked]
> Subject: Re: Gen-ART LC review of draft-ietf-tram-stun-dtls-03
> 
> Hi Roni,
> 
> See my answers below.
> 
> > Please resolve these comments along with any other Last Call comments
> > you may receive.
> >
> > Summary: This draft is almost ready for publication as an Standard
> > track RFC.
> >
> >
> >
> >
> >
> > Major issues:
> >
> >
> >
> > Minor issues:
> >
> >
> >
> > I am not sure I understand section 4.3. When talking about "media
> > keep-alive packets" is it for the STUN Binding Indication usage or for
> > all the options in section 10 of RFC 5245.
> 
clear.
> 
> > Maybe you meant that you should prefer DTLS/SRTP keep-alive like RTP
> > no-op in this case. I had problem understanding this section. Please
> > clarify.
> >
> 
the pros
> and cons of running the STUN Binding Indication usage over DTLS.
> 
> I propose this new text:
>

---

From: Jari Arkko <[email-masked]>
Date: Wed, 25 Jun 2014 16:20:44 +0100

Thanks for the review and the updates. Did you Marc react to Roni’s last comment, or did that already get folded in -04?

Jari

P.S. Section 4.3 has some broken XML reference construct.

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Wed, 25 Jun 2014 09:30:03 -0600

Hi Jari,

> Thanks for the review and the updates. Did you Marc react to Roni’s last comment, or did that already get folded in -04?

Yes, Section 4.3 in -04 was modified to make clear that it applies only
to the STUN Indication method of keep-alive.

> P.S. Section 4.3 has some broken XML reference construct.

Fixed in my copy of -05.

Thanks.

---

From: Jari Arkko <[email-masked]>
Date: Wed, 25 Jun 2014 20:59:35 +0100

Good. Thank you.

Jari

On 25 Jun 2014, at 16:30, Marc Petit-Huguenin <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art